# Interface methods for submodule: MeshIOBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import LightProcessObjectProxy as _LightProcessObjectProxy


# Interface methods for class: MeshIOBase
class MeshIOBaseProxy(_LightProcessObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetFileName(self, _arg) -> None:
		""""""
		...

	@overload
	def SetFileName(self, _arg: str) -> None:
		""""""
		...

	def GetFileName(self):
		""""""
		...

	def SetPointPixelType(self, _arg) -> None:
		""""""
		...

	def GetPointPixelType(self):
		""""""
		...

	def SetCellPixelType(self, _arg) -> None:
		""""""
		...

	def GetCellPixelType(self):
		""""""
		...

	def SetPointComponentType(self, _arg) -> None:
		""""""
		...

	def GetPointComponentType(self):
		""""""
		...

	def SetCellComponentType(self, _arg) -> None:
		""""""
		...

	def GetCellComponentType(self):
		""""""
		...

	def SetPointPixelComponentType(self, _arg) -> None:
		""""""
		...

	def GetPointPixelComponentType(self):
		""""""
		...

	def SetCellPixelComponentType(self, _arg) -> None:
		""""""
		...

	def GetCellPixelComponentType(self):
		""""""
		...

	def SetNumberOfPointPixelComponents(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfPointPixelComponents(self) -> int:
		""""""
		...

	def SetNumberOfCellPixelComponents(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfCellPixelComponents(self) -> int:
		""""""
		...

	def SetPointDimension(self, _arg: int) -> None:
		""""""
		...

	def GetPointDimension(self) -> int:
		""""""
		...

	def SetNumberOfPoints(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfPoints(self) -> int:
		""""""
		...

	def SetNumberOfCells(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfCells(self) -> int:
		""""""
		...

	def SetNumberOfPointPixels(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfPointPixels(self) -> int:
		""""""
		...

	def SetNumberOfCellPixels(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfCellPixels(self) -> int:
		""""""
		...

	def SetCellBufferSize(self, _arg: int) -> None:
		""""""
		...

	def GetCellBufferSize(self) -> int:
		""""""
		...

	def SetUpdatePoints(self, _arg: bool) -> None:
		""""""
		...

	def GetUpdatePoints(self) -> bool:
		""""""
		...

	def UpdatePointsOn(self) -> None:
		""""""
		...

	def UpdatePointsOff(self) -> None:
		""""""
		...

	def SetUpdateCells(self, _arg: bool) -> None:
		""""""
		...

	def GetUpdateCells(self) -> bool:
		""""""
		...

	def UpdateCellsOn(self) -> None:
		""""""
		...

	def UpdateCellsOff(self) -> None:
		""""""
		...

	def SetUpdatePointData(self, _arg: bool) -> None:
		""""""
		...

	def GetUpdatePointData(self) -> bool:
		""""""
		...

	def UpdatePointDataOn(self) -> None:
		""""""
		...

	def UpdatePointDataOff(self) -> None:
		""""""
		...

	def SetUpdateCellData(self, _arg: bool) -> None:
		""""""
		...

	def GetUpdateCellData(self) -> bool:
		""""""
		...

	def UpdateCellDataOn(self) -> None:
		""""""
		...

	def UpdateCellDataOff(self) -> None:
		""""""
		...

	def GetComponentSize(self, componentType) -> int:
		""""""
		...

	def GetComponentTypeAsString(self, arg0) -> str:
		""""""
		...

	def GetPixelTypeAsString(self, arg0) -> str:
		""""""
		...

	def SetFileType(self, _arg) -> None:
		""""""
		...

	def GetFileType(self):
		""""""
		...

	def SetFileTypeToASCII(self) -> None:
		""""""
		...

	def SetFileTypeToBinary(self) -> None:
		""""""
		...

	def SetByteOrder(self, _arg) -> None:
		""""""
		...

	def GetByteOrder(self):
		""""""
		...

	def SetByteOrderToBigEndian(self) -> None:
		""""""
		...

	def SetByteOrderToLittleEndian(self) -> None:
		""""""
		...

	def SetUseCompression(self, _arg: bool) -> None:
		""""""
		...

	def GetUseCompression(self) -> bool:
		""""""
		...

	def UseCompressionOn(self) -> None:
		""""""
		...

	def UseCompressionOff(self) -> None:
		""""""
		...

	def GetFileTypeAsString(self, arg0) -> str:
		""""""
		...

	def GetByteOrderAsString(self, arg0) -> str:
		""""""
		...

	def CanReadFile(self, arg0) -> bool:
		""""""
		...

	def ReadMeshInformation(self) -> None:
		""""""
		...

	def ReadPoints(self, buffer) -> None:
		""""""
		...

	def ReadCells(self, buffer) -> None:
		""""""
		...

	def ReadPointData(self, buffer) -> None:
		""""""
		...

	def ReadCellData(self, buffer) -> None:
		""""""
		...

	def CanWriteFile(self, arg0) -> bool:
		""""""
		...

	def WriteMeshInformation(self) -> None:
		""""""
		...

	def WritePoints(self, buffer) -> None:
		""""""
		...

	def WriteCells(self, buffer) -> None:
		""""""
		...

	def WritePointData(self, buffer) -> None:
		""""""
		...

	def WriteCellData(self, buffer) -> None:
		""""""
		...

	def Write(self) -> None:
		""""""
		...

	def GetSupportedReadExtensions(self):
		""""""
		...

	def GetSupportedWriteExtensions(self):
		""""""
		...

